#!/bin/sh

SSO_AGENT_HOME="$( cd "$( dirname "$0" )" && pwd -P )/.."
PID_FILE=$SSO_AGENT_HOME/bin/pid
if [ -f "$PID_FILE" ]; then
	PID=`cat $SSO_AGENT_HOME/bin/pid`
fi

# check previously executed process
if [ ! -f "$PID_FILE" ] || [ -z "$PID" ]; then
	echo "pid is null"
	exit 0
fi

# kill sso-agent
kill -9 "$PID"

# reset pid
cp /dev/null "$PID_FILE"