#!/bin/sh

SSO_AGENT_HOME="$( cd "$( dirname "$0" )" && pwd -P )/.."
PID_FILE=$SSO_AGENT_HOME/bin/pid
if [ -f "$PID_FILE" ]; then
	PID=`cat $SSO_AGENT_HOME/bin/pid`
fi

# check previously executed process
if [ -f "$PID_FILE" ] && [ ! -z "$PID" ]; then
	echo "pid is not null"
	echo "Make sure the sso-agent is running, if not running, delete the pid file."
	exit 0
fi

# execute
java -Duser.dir=$SSO_AGENT_HOME -jar $SSO_AGENT_HOME/bin/sso-agent-standard.jar &

# save pid
echo $! > "$PID_FILE"